UIIdentifiers (gCube Resource Management Portlet 4.0.0-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.widgets.registry
Class UIIdentifiers

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.widgets.registry.UIIdentifiers

    public class UIIdentifiers

extends Object

Author:
  Daniele Strollo (ISTI-CNR)

Field Summary
`static String` | `BUTTON_AVAILABLE_SCOPES_ID`
`static String` | `CONSOLE_COMPONENT_ID`
`static String` | `CONSOLE_PANEL_ID`
`static String` | `CONSOLE_WIDGET_ID`
`static String` | `GLOBAL_MENU_CONTAINER_PANEL`
`static String` | `GLOBAL_MENUBAR_ID`
`static String` | `GLOBAL_STATUS_BAR_ID`
`static String` | `MAIN_CONTAINER_VIEWPORT_ID`
`static String` | `RESOURCE_DETAIL_GRID_CONTAINER_ID`
`static String` | `RESOURCE_DETAIL_GRID_PANEL`
`static String` | `RESOURCE_NAVIGATION_PANEL`
`static String` | `STATUS_LOADED_RESOURCES_ID`
`static String` | `STATUS_PROGRESS_BAR_ID`
`static String` | `STATUS_SCOPE_INFO_ID`
`static String` | `TASKBAR_PANEL`

Constructor Summary
`UIIdentifiers()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSOLE_COMPONENT_ID

    public static final String CONSOLE_COMPONENT_ID

See Also:
  Constant Field Values

### CONSOLE_WIDGET_ID

    public static final String CONSOLE_WIDGET_ID

See Also:
  Constant Field Values

### CONSOLE_PANEL_ID

    public static final String CONSOLE_PANEL_ID

See Also:
  Constant Field Values

### RESOURCE_NAVIGATION_PANEL

    public static final String RESOURCE_NAVIGATION_PANEL

See Also:
  Constant Field Values

### RESOURCE_DETAIL_GRID_PANEL

    public static final String RESOURCE_DETAIL_GRID_PANEL

See Also:
  Constant Field Values

### RESOURCE_DETAIL_GRID_CONTAINER_ID

    public static final String RESOURCE_DETAIL_GRID_CONTAINER_ID

See Also:
  Constant Field Values

### GLOBAL_STATUS_BAR_ID

    public static final String GLOBAL_STATUS_BAR_ID

See Also:
  Constant Field Values

### STATUS_SCOPE_INFO_ID

    public static final String STATUS_SCOPE_INFO_ID

See Also:
  Constant Field Values

### STATUS_LOADED_RESOURCES_ID

    public static final String STATUS_LOADED_RESOURCES_ID

See Also:
  Constant Field Values

### STATUS_PROGRESS_BAR_ID

    public static final String STATUS_PROGRESS_BAR_ID

See Also:
  Constant Field Values

### GLOBAL_MENUBAR_ID

    public static final String GLOBAL_MENUBAR_ID

See Also:
  Constant Field Values

### BUTTON_AVAILABLE_SCOPES_ID

    public static final String BUTTON_AVAILABLE_SCOPES_ID

See Also:
  Constant Field Values

### MAIN_CONTAINER_VIEWPORT_ID

    public static final String MAIN_CONTAINER_VIEWPORT_ID

See Also:
  Constant Field Values

### GLOBAL_MENU_CONTAINER_PANEL

    public static final String GLOBAL_MENU_CONTAINER_PANEL

See Also:
  Constant Field Values

### TASKBAR_PANEL

    public static final String TASKBAR_PANEL

See Also:
  Constant Field Values

Constructor Detail

### UIIdentifiers

    public UIIdentifiers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.